edu.sc.seis.sod.subsetter.channel

## Class InstrumentationSubsetter

- java.lang.Object
- - edu.sc.seis.sod.subsetter.channel.InstrumentationSubsetter

- All Implemented Interfaces:
    SodElement, ChannelSubsetter, Subsetter
  Direct Known Subclasses:
    ClockSubsetter, DasSubsetter, SensorSubsetter

      public abstract class InstrumentationSubsetter
      extends java.lang.Object
      implements ChannelSubsetter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstrumentationSubsetter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `acceptId(edu.iris.Fissures.network.ChannelImpl channel, NetworkSource network, int id)`
    `protected boolean` | `acceptManufacturer(edu.iris.Fissures.network.ChannelImpl channel, NetworkSource network, java.lang.String manufacturer)`
    `protected boolean` | `acceptModel(edu.iris.Fissures.network.ChannelImpl channel, NetworkSource network, java.lang.String model)`
    `protected boolean` | `acceptSerialNumber(edu.iris.Fissures.network.ChannelImpl channel, NetworkSource network, java.lang.String serialNum)`
    `static java.lang.String` | `getChannelNotFoundMsg()`
    `static java.lang.String` | `getInstrumentationInvalidMsg()`
    `protected edu.iris.Fissures.IfNetwork.SeismicHardware` | `getSeismicHardware(edu.iris.Fissures.network.ChannelImpl channel, NetworkSource network)`
    `protected abstract edu.iris.Fissures.IfNetwork.SeismicHardware` | `getSeismicHardware(edu.iris.Fissures.IfNetwork.Instrumentation inst)`
    `static void` | `handle(edu.sc.seis.fissuresUtil.sac.InvalidResponse e)`
    `static void` | `handle(SodSourceException e)`
    `static void` | `handleChannelNotFound(edu.iris.Fissures.IfNetwork.ChannelNotFound ex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.subsetter.channel.ChannelSubsetter

      `accept`

- - ### Constructor Detail

    - #### InstrumentationSubsetter

          public InstrumentationSubsetter()

  - ### Method Detail

    - #### getSeismicHardware

          protected edu.iris.Fissures.IfNetwork.SeismicHardware getSeismicHardware(edu.iris.Fissures.network.ChannelImpl channel,
                                                                                   NetworkSource network)
                                                                            throws edu.iris.Fissures.IfNetwork.ChannelNotFound,
                                                                                   edu.sc.seis.fissuresUtil.sac.InvalidResponse,
                                                                                   SodSourceException

      Throws:
        `edu.iris.Fissures.IfNetwork.ChannelNotFound`
        `edu.sc.seis.fissuresUtil.sac.InvalidResponse`
        `SodSourceException`

    - #### getSeismicHardware

          protected abstract edu.iris.Fissures.IfNetwork.SeismicHardware getSeismicHardware(edu.iris.Fissures.IfNetwork.Instrumentation inst)

    - #### acceptId

          protected boolean acceptId(edu.iris.Fissures.network.ChannelImpl channel,
                                     NetworkSource network,
                                     int id)

    - #### acceptManufacturer

          protected boolean acceptManufacturer(edu.iris.Fissures.network.ChannelImpl channel,
                                               NetworkSource network,
                                               java.lang.String manufacturer)

    - #### acceptModel

          protected boolean acceptModel(edu.iris.Fissures.network.ChannelImpl channel,
                                        NetworkSource network,
                                        java.lang.String model)

    - #### acceptSerialNumber

          protected boolean acceptSerialNumber(edu.iris.Fissures.network.ChannelImpl channel,
                                               NetworkSource network,
                                               java.lang.String serialNum)

    - #### getChannelNotFoundMsg

          public static java.lang.String getChannelNotFoundMsg()

    - #### handleChannelNotFound

          public static void handleChannelNotFound(edu.iris.Fissures.IfNetwork.ChannelNotFound ex)

    - #### getInstrumentationInvalidMsg

          public static java.lang.String getInstrumentationInvalidMsg()

    - #### handle

          public static void handle(edu.sc.seis.fissuresUtil.sac.InvalidResponse e)

    - #### handle

          public static void handle(SodSourceException e)